--- boost/config/platform/bsd.hpp~	2004-09-25 21:03:47.000000000 +0200
+++ boost/config/platform/bsd.hpp	2004-09-25 21:03:24.000000000 +0200
@@ -9,12 +9,14 @@
 
 //  generic BSD config options:
 
-#if !defined(__FreeBSD__) && !defined(__NetBSD__) && !defined(__OpenBSD__)
+#if !defined(__FreeBSD__) && !defined(__NetBSD__) && !defined(__OpenBSD__) && !defined(__DragonFly__)
 #error "This platform is not BSD"
 #endif
 
 #ifdef __FreeBSD__
 #define BOOST_PLATFORM "FreeBSD " BOOST_STRINGIZE(__FreeBSD__)
+#elif defined(__DragonFly__)
+#define BOOST_PLATFORM "DragonFly " BOOST_STRINGIZE(__DragonFly__)
 #elif defined(__NetBSD__)
 #define BOOST_PLATFORM "NetBSD " BOOST_STRINGIZE(__NetBSD__)
 #elif defined(__OpenBSD__)
@@ -30,6 +32,11 @@
 #  define BOOST_HAS_NL_TYPES_H
 #endif
 
+#if defined(__DragonFly__)
+#  define BOOST_HAS_NL_TYPES_H
+#  define BOOST_NO_STD_WSTRING
+#endif
+
 //
 // FreeBSD 3.x has pthreads support, but defines _POSIX_THREADS in <pthread.h>
 // and not in <unistd.h>
